/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Ext.namespace("Heron.i18n");

/** api: (define)
 *  module = Heron.i18n
 *  class = Heron.i18n.dict (it_IT)
 *  base_link = `Ext.form.ComboBox <http://dev.sencha.com/deploy/ext-3.3.1/docs/?class=Ext.form.ComboBox>`_
 */

/**
 * Define dictionary for the Italian locale.
 * Maintained by: Heron devs
 */
Heron.i18n.dict = {
    // 0.67
    'Active Layers': 'Livelli attivi',
    'Base Layer': 'Livello base',
    'Base Layers': 'Livelli base',
    'BaseMaps': 'Mappa base',
    'Choose a Base Layer': 'Livello base',
    'Legend': 'Legenda',
    'Feature Info': 'Informazioni oggetto',
    'Feature Data': 'Dati oggetto',
    'Feature(s)': 'oggetti',
    'No layer selected': 'Nessun livello selezionato',
    'Save Features': 'Salva oggetto',
    'Get Features': 'Ottieni informazioni',
    'Feature information': 'Informationi sull\'oggetto',
    'No Information found': 'Nessun informazione trovata',
    'Layer not added': 'Livello non aggiunto',
    'Attribute': 'Attributi',
    'Value': 'Valore',
    'Recieving data': 'Ricezione dati',
    'Layers': 'Livelli',
    'No match': 'Niet gevonden',
    'Loading...': 'Bezig met laden...',
    'Bookmarks': 'Scorciatoie',
    'Places': 'Plaatsen',
    'Unknown': 'Onbekend',
    'Feature Info unavailable': 'Geen objectinformatie beschikbaar',
    'Pan': 'Trasla',
    'Measure length': 'Misura lunghezza',
    'Measure area': 'Misura area',
    'Leg': 'Etapa',
    'Length': 'Lunghezza',
    'Area': 'Area',
    'Result >': 'Risultato>',
    '< Search': '< Cerca',
    'Search': 'Cerca',
    'Search Nominatim': 'Cerca nome',
    'Search OpenLS': 'Zoeken met OpenLS zoekdienst',
    'Search PDOK': 'Geef een NL adres...',
    'Searching...': 'Stò; cercando ...',
    'Search Completed: ': 'Ricerca completata: ',
    'services': 'servizi',
    'service': 'servizio',
    'Type Nominatim': 'Digita il nome/indirizzo...',
    'Overlays': 'Sovrapposizioni',
    'Waiting for': 'Attendi',
    'Warning': 'Attenzione',
    'Zoom in': 'Ingrandisci',
    'Zoom out': 'Riduci',
    'Zoom to full extent': 'Vai all\'estensione piena',
    'Zoom previous': 'Zoom precedente',
    'Zoom next': 'Zoom successivo',

    // 0.68
    'Scale': 'Scala',
    'Resolution': 'Risoluzione',
    'Zoom': 'Livello di zoom',

// 0.70
    'Export': 'Esportazione',
    'Choose a Display Option': "Scegli un'opzione",
    'Display': 'Display',
    'Grid': 'Grid',
    'Tree': 'Ad albero',
    'XML': 'XML',
    'Invalid export format configured: ': 'Formato di esportazione impostato non valido: ',
    'No features available or non-grid display chosen': 'Nessuna features disponibile o nessuna grid display scelta',
    'Choose an Export Format': 'Scegli un formato di esportazione',
    'Print Visible Map Area Directly': "Stampa direttamente una mappa con l'area visibile",
    'Direct Print Demo': 'Demo Stampa Diretta',
    'This is a simple map directly printed.': 'Questa è una semplice mappa stampata direttamente.',
    'Print Dialog Popup with Preview Map': "Stampa utilizzando l'anteprima di stampa",
    'Print Preview': 'Anteprima di stampa',
    'Print Preview Demo': 'Anteprima di stampa Demo',
    'Error getting Print options from server: ': 'Errore di stampa nelle impostazioni del server: ',
    'Error from Print server: ': 'Errore nel server di stampa: ',
    'No print provider url property passed in hropts.': 'Url di stampa non definito correttamente nei file di configurazione.',
    'Create PDF...': 'Crea PDF...',
    'Loading print data...': 'Sto preparando la stampa...',

    // 0.71
    'Go to coordinates': 'Vai alle coordinate',
    'Go!': 'Vai!',
    'Pan and zoom to location': 'Pan e zoom alla location',
    'Enter coordinates to go to location on map': 'Inserisci coordinate per andare a una location sulla mappa',
    'Active Themes': 'Temi attivi',
    'Move up': 'Sposta sopra',
    'Move down': 'Sposta giù',
    'Opacity': 'Opacità',
    'Remove layer from list': 'Remuovi layer dalla lista',
    'Tools': 'Tools',
    'Removing': 'Rimuovendo',
    'Are you sure you want to remove the layer from your list of layers?': 'Sei sicuro di voler rimuovere il layer dalla tua lista dei layers?',
    'You are not allowed to remove the baselayer from your list of layers!': 'Non sei autorizzato a rimuovere il layer dalla tua lista dei layers!',

    // 0.72
    'Draw Features': 'Disegna features',

    // 0.73
    'Spatial Search': 'Ricerca spaziale',
    'Search by Drawing': 'Ricerca tramite disegno',
    'Select the Layer to query': 'Seleziona il layer da interrogare',
    'Choose a geometry tool and draw with it to search for objects that touch it.': 'Scegli un tool e disegna una forma per cercare gli oggetti che si intersecano.',
    'Seconds': 'Secondi',
    'Working on it...': 'Lavorando su questo...',
    'Still searching, please be patient...': 'In ricerca, per cortesia sii paziente...',
    'Still searching, have you selected an area with too many objects?': 'In ricerca, hai per caso selezionato un area con troppi oggetti?',
    'as': 'as',
    'Undefined (check your config)': 'Non definito (controlla la configurazione)',
    'Objects': 'Oggetti',
    'objects': 'oggetti',
    'Features': 'Features',
    'features': 'features',
    'Result': 'Resultato',
    'Results': 'Resultati',
    'of': 'di',
    'Using geometries from the result: ': 'Usando le geometrie dal risultato: ',
    'with': 'con',
    'Too many geometries for spatial filter: ': 'Troppe geometrie per il filtro spaziale: ',
    'Bookmark current map context (layers, zoom, extent)': 'Salva tra i segnalibri la mappa corrente (layers, zoom, estensione)',
    'Add a bookmark': 'Aggiungi un segnalibro',
    'Bookmark name cannot be empty': 'Il nome del segnalibro non può essere vuoto',
    'Your browser does not support local storage for user-defined bookmarks': "Il tuo browser non supporta il salvataggio in locale di segnalibri definiti dall'utente",
    'Return to map navigation': 'Ritorna alla mappa navigabile',
    'Draw point': 'Disegna punto',
    'Draw line': 'Disegna linea',
    'Draw polygon': 'Disegna poligono',
    'Draw circle (click and drag)': 'Disegna cerchio (fai click e trascina)',
    'Draw Rectangle (click and drag)': 'Disegna rettangolo (fai click e trascina)',
    'Sketch is saved for use in Search by Selected Features': 'La forma disegnata è salvata per cercare e selezionare le features',
    'Select a search...': 'Seleziona una ricerca...',
    'Clear': 'Pulisci',

    // 0.74
    'Project bookmarks': 'Seganlibri di progetto',
    'Your bookmarks': 'I tuoi segnalibri',
    'Name': 'Nome',
    'Description': 'Descrizione',
    'Add': 'Aggiungi',
    'Cancel': 'Cancella',
    'Remove bookmark:': 'Rimuovi segnalibro:',
    'Restore map context:': 'Riprostina mappa originale:',
    'Error: No \'BookmarksPanel\' found.': 'Errore: \'BookmarksPanel\' non trovato.',
    'Input system': 'Sistema di input',
    'Choose input system...': 'Scegli il sistema di input...',
    'Map system': 'Sistema di mappa',
    'X': 'X',
    'Y': 'Y',
    'Enter X-coordinate...': 'Inserisci le coordinate X / lon...',
    'Enter Y-coordinate...': 'Inserisci le coordinate Y / lat...',
    'Choose scale...': 'Scegli la scala...',
    'no zoom': 'no zoom',
    'Mode': 'Modalità',
    'Remember locations': 'Ricorda location',
    'Hide markers on close': 'Nascondi markers chiudendo',
    'Remove markers on close': 'Rimuovi i markers chiudendo',
    'Remove markers': 'Rimuovi i markers',
    'Location': 'Location',
    'Marker position: ': 'Pozizione del marker: ',
    'No features found': 'Features non trovate',
    'Feature Info unavailable (you may need to make some layers visible)': 'Feature Info non disponibile (dovresti rendere visibile alcuni layers)',
    'Search by Feature Selection': 'Cerca tramite selezione di feature',
    'Download': 'Download',
    'Choose a Download Format': 'Scegli un formato di download',
    'Remove all results': 'Rimuovi tutti i risultati',
    'Download URL string too long (max 2048 chars): ': 'URL di download troppo lunga (max 2048 caratteri): ',

    // 0.75
    'Query Panel': 'Pannello di ricerca',
    'Cancel current search': 'Cancella la ricerca corrente',
    'Search in target layer using the selected filters': 'Cerca tra i target layer usando i filtri selezionati',
    'Ready': 'Pronto',
    'Search Failed': 'Ricerca fallita',
    'Search aborted': 'Ricerca terminata erroneamente',

    // 0.76
    'No query layers found': 'Nessun layer interrogato trovato',
    'Edit Layer Style': 'Edita lo stile del layer',
    'Zoom to Layer Extent': "Zoom all'estensione del layer",
    'Get Layer information': "Ottieni informazioni del layer",
    'Change Layer opacity': "Cambia l'opacità del layer",
    'Select a drawing tool and draw to search immediately': 'Seleziaona un tool di disegno e disegna per cercare subito',
    'Search in': 'Ricerca',
    'Search Canceled': 'Ricerca cancellata',
    'Help and info for this example': "Aiuto e indormazioni per quest'esempio",

    // 1.0.1
    'Details': 'Dettagli',
    'Table': 'Tabella',
    'Show record(s) in a table grid': 'Mostra record(s) in una tabella',
    'Show single record': 'Mostra singolo record',
    'Show next record': 'Mostra record successivo',
    'Show previous record': 'Mostra record precedente',
    'Feature tooltips': 'Etichette delle feautures',
    'FeatureTooltip': 'Etichetta della feature',
    'Upload features from local file': 'Upload nuove features da file locali',
    'My Upload': 'Mio upload',
    'Anything is allowed here': 'Ogni cosa qui è permessa',
    'Edit vector Layer styles': 'Edita stile layer vettoriale',
    'Style Editor': 'Editor di stile',
    'Open a map context (layers, styling, extent) from file': 'Apri un contesto mappa (layers, stile, estensione) da file',
    'Save current map context (layers, styling, extent) to file': 'Salva un contesto mappa (layers, stile, estensione) su file',
    'Upload': 'Upload',
    'Uploading file...': 'Uploading file...',
    'Change feature styles': 'Cambia stile della feature',
    'Error reading map file, map has not been loaded.': 'Errore nel leggere file di mappa, la mappa non è stata caricata.',
    'Error on removing layers.': 'Errore nel rimuovere i layers.',
    'Error loading map file.': 'Errore nel caricare file di mappa.',
    'Error reading layer tree.': 'Errore nel leggere la legenda.',

    // 1.0.2
    'No file specified.': 'Nessun file specificato.',
    'Cannot render draw controls': 'Impossibile disegnare i comandi di disegno',
    'Warning - Line Length is ': 'ATTENZIONE - La lunghezza della linea è  ',
    'You drew a line with length above the layer-maximum of ': 'Tu hai disegnato una linea con lunghezza superiore al massimo consentito di ',
    'Warning - Area is ': "ATTENZIONE - L'area è ",
    'You selected an area for this layer above its maximum of ': "Tu hai disegnato un'area con estensione superiore al massimo consentito di ",
    'Error creating Layer': 'Errore nel creare il layer',
    'Error in ajax request': 'Errore nella richiesta ajax',
    'Add layers': 'Aggiungi layers',
    'Remove layer': 'Rimuovi layer',
    'Loading map context from:': 'Caricando contesto mappa da:',

    // 1.0.3 (nothing added)

    // 1.0.4
    'INTERSECTS (default)': 'INTERSEZIONI (default)',
    'WITHIN': 'DENTRO',
    'WITHIN DISTANCE': 'INCLUSO NELLA DISTANZAWITHIN DISTANCE',
    'CONTAINS': 'CONTIENE',
    'Simple Time Slider': 'Semplice finestra di scorrimento temporale'
};
